// PanRadioBox.cpp: implementation of the CPanRadioBox class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "PanRadioBox.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CPanRadioBox::CPanRadioBox
               ( HWND           hWndParent
               , LPCTSTR        label
               , char**         pItemLabels
               , int            nItems
	       , int            initValue
               , IntUpdater*    pUpd
               , void*          pParam
               , CInvalidator*  pInvalid
               )
{
    m_updateValue   = pUpd;
    m_pParam        = pParam;
    m_iProc         = pInvalid;

    Create(hWndParent, label, pItemLabels, nItems, initValue);
}

CPanRadioBox::~CPanRadioBox()
{

}


//////////////////////////////////////////////////////////////////////
// Event handlers
//////////////////////////////////////////////////////////////////////

LRESULT
CPanRadioBox::OnClick(WORD wNotifyCode, WORD wID, HWND hWndCtl, BOOL& bHandled)
{
    m_updateValue->UpdateInt(m_pParam, wID);
	m_iProc->Invalidate();

    bHandled = false;
    return 0;
}
