/*
 * 
 * hlinkControl - extends the STATIC control with hyperlinking
 * capability, i.e., the text is underlined & a mouse click will
 * cause the web browser to load up some URL.
 *
 * sof 8/00
 */

#ifdef EXPORT_MODE
#define DLLIMPORT __declspec(dllimport)
#define DLLEXPORT DLLIMPORT
#else
#define DLLEXPORT __declspec(dllexport)
#define DLLIMPORT __declspec(dllimport
#endif
//#include "dll.h"

// InitHLink() causes this control to be hoisted in & registered.
extern "C"
void
DLLEXPORT
WINAPI
InitHLink();

//
// HLink specific window messages
//
#define HLINK_SETTARGET      (WM_USER+5)
#define HLINK_SETTEXT        WM_SETTEXT
#define HLINK_SETCOLOR       (WM_USER+6)
#define HLINK_SETVISITCOLOR  (WM_USER+7)

