//
// Configurable settings for a plugin. 
//
// This header file is included by the .r containing the basic
// plugin resource info (plugin.r), which is then converted into
// a .rc using the PhShop SDK's "cnvtpipl" tool. (.r files are
// Mac rez-files.)
// 
// The use of .r's will soon be dropped, preferring to stick with
// .rc's, since that doesn't require having/distrib'ing "cnvtpipl".
// ToDo.

//
//  sof 11/99
//

//
// PluginName is the name that shows up in the plugin list inside
// of PhotoShop (or PhShop compatible app.)
//
#ifndef PluginName
#define PluginName      "PanPlugin"
#endif

//
// PluginKind - which category of plugin it is implementing.
//              At the moment, only Filter is supported.
//
#ifndef PluginKind
#define PluginKind Filter
#endif
//
// PluginCategory determines which sub-heading the plugin will be
// grouped under by the host.
//
#ifndef PluginCategory
#define PluginCategory  "PanPlugins"
#endif

//
// PluginDescriptionShort
//
#ifndef PluginDescriptionShort
#define PluginDescriptionShort "Pan filter plug-in"
#endif
//
// PluginDescription
//
#ifndef PluginDescription
#define PluginDescription "A Pan generated filter plugin"
#endif

//
// PluginVendorName
// 
#ifndef PluginVendorName
#define PluginVendorName "Microsoft"
#endif
//
// PluginCopyrightYear
//
#ifndef PluginCopyrightYear
#define PluginCopyrightYear "1999"
#endif
//
// PluginCopyrightHolder
//
#ifndef PluginCopyrightHolder
#define PluginCopyrightHolder PluginVendorName
#endif
//
// PluginVersionString
//
#ifndef PluginVersionString
#define PluginVersionString "0.1"
#endif
//
// PluginReleaseString
//
#ifndef PluginReleaseString
#define PluginReleaseString "November 1999"
#endif
//
// CurrentYear
//
#define CurrentYear  "1999"

//
// PluginAboutMsg -- the text you want to appear in the About Box.
//
#ifndef PluginAboutMsg
#define PluginAboutMsg  \
       PluginName "\n\n" \
       "Version "  PluginVersionString " " \
       "Release "  PluginReleaseString "\n" \
       "Copyright" PluginCopyrightYear "-" CurrentYear " " \
       PluginCopyrightHolder " All Rights Reserved.\n\n" \
       PluginDescription
#endif

       
